package at.procon.dip.search.engine;

import at.procon.dip.search.api.SearchExecutionContext;
import at.procon.dip.search.dto.SearchEngineType;
import at.procon.dip.search.dto.SearchHit;
import java.util.List;

public interface SearchEngine {
    SearchEngineType type();
    boolean supports(SearchExecutionContext context);
    List<SearchHit> execute(SearchExecutionContext context);
}
